Skip to main content

Published Release Notes

Find release notes for the selected Pega Version and Capability

Browse resolved issues for Platform releases.

This documentation is for non-current versions of Pega Platform. For current release notes, go here.

Use Page-Change-Class method to change a Page class

Valid from Pega Version 8.3

With the release of Pega Platform™ 8.3, using the Property-Set method to change the Page class shows a guardrail warning. Use the Page-Change-Class method to change the Page class instead.

For more information about the Page-Change-Class method, see Changing the class of a page and Page-Change-Class method.

Changes to URL format for Pega Web Mashup

Valid from Pega Version 8.3

The format of Pega Web Mashup URLs now supports multiple mashups on a single web page. The new URL format prevents a mashup from sharing cookies with another mashup.

If you want to include multiple mashups on a single web page and one of the mashups was created before 8.3, you must regenerate the mashup to reflect the new URL format.

For more information, see <link to help topic>.

Change tracking tab removed from declare expressions

Valid from Pega Version 8.3

To simplify the configuration of a declare expression, the Change tracking tab has been removed from the declare expression rule form. To use the Change tracking tab, on the declare expression rule form, click Actions > Use legacy expression.

For more information, see Supported and unsupported configurations in simplified declare expressions.

Upgrade impact

The declare expression rules have been moved from the pr4_rule table to the new pr4_rule_declare_expression table.

The upgrade can fail if you customize the pr4_rule table, such as increasing the length of an existing column.

After a successful upgrade, the declare expression rule form is simplified and lightweight pages support declare expressions.

What steps are required to update the application to be compatible with this change?

Read-only data pages by default are lightweight. You could also enable lightweight pages for:

Only simplified declare expressions are supported in lightweight pages. In simplified declare expressions, context-bound rules are not supported. However, a page context could be specified on the New or Save As form of declare expressions. For more information, see Declare Expression rules - Completing the New or Save As form.

Redirectguests mashup configuration has been removed

Valid from Pega Version 8.3

The authentication/redirectguests server configuration and data-pega-redirectguests attribute have been removed and are no longer required when you configure a mashup. This prevents you from needing to maintain multiple nodes to support some use cases that require the configuration value to be true and other uses cases that require the configuration value to be false.

For more information, see Configuring the Mashup channel.

PDF/UA support

Valid from Pega Version 8.4

PDF documents that you generate in Pega Platform™ are now in PDF/UA format. This enhancement improves accessibility for users who rely on assistive technology, such as screen readers.

For more information, see Setting PDF file versions.

Upgrade impact

With an upgrade to Pega Platform 8.4 and later, the underlying PD4ML library in Pega Platform changes from v3.10 to v4.x. Following an upgrade, most standard HTML-CSS conversions to PDF work seamlessly; however, if you use the following custom coding in their application to convert HTML to PDF, you may find that PDF generation works differently than expected or no longer works:

  • Application layer Java in activities that directly link to the underlying PD4ML library
  • A Rule Utility Function
  • PD4ML tags in HTML fragments

For example, the following PD4ML proprietary CSS keywords are no longer supported in v4.x:

  • pd4ml-page-break-border-top
  • pd4ml-page-break-border-bottom

What steps are required to update the application to be compatible with this change?

After you upgrade to Pega Platform 8.4 and later and find your PDF generation works differently than expected or no longer works, you should consult the latest documentation available at pd[4]ml support site. You may also consider using the Compact CSS instead of the application skin for PDF generation; for details, see Creating PDF files by using a compact style sheet.

Personalized views in table layouts

Valid from Pega Version 8.4

Table layouts now provide users with the option to save preferred run-time configurations, such as column visibility and filtering, as permanent profiles. This enhancement helps users create dedicated views for specific work scenarios, which reduces the need for repetitive adjustments to the user interface and improves productivity.

For more information, see Enabling table personalization.

Upgrade impact

After an upgrade to 8.4 and later, the default table toolbar styling and experience may be unexpectedly different for any customized tables in a client's application: if you enabled a tool bar action for a personalizable table and the 8.4 application overrides your customization, your application now displays the default 8.4 table toolbar.

What steps are required to update the application to be compatible with this change?

Existing clients that upgrade to Pega Platform 8.4 and later may need to update applications in some scenarios. Any custom actions present in the overridden section may need to be re-authored into this toolbar using the additional actions section.

Rules can no longer access Pega internal Java packages

Valid from Pega Version 8.4

You can no longer create rules that access Java packages that reference internal APIs (syntax com.pega.platform.*.internal*). This change does not affect rules that access Pega public API packages.

If you encounter issues when running existing rules that reference internal Pega APIs, contact Pega Support.

Upgrade impact

After an upgrade to 8.4 and later, clients can no longer save new or modified rules that access Pega internal APIs; existing rules that reference internal APIs can still be run but cannot be modified. 

What steps are required to update the application to be compatible with this change?

Following a software upgrade to 8.4 or later, clients can refactor existing rules into guardrail compliant rules. To find rules to refactor, run the validation tool from designer studio (Application > Tools > Validation) to identify what rules fail validation; failed rules that include the message "Test compilation failed : Illegal internal class reference : com.pega.internal.XYZ" can updated to reference appropriate APIs.

Improved case auditing in App Studio

Valid from Pega Version 8.5

In Cosmos UI, App Studio now supports expandable case steps. This enhancement helps users quickly navigate a case and provides deeper insight into the case flow. In addition, Cosmos UI also introduces an improved history view that helps you better meet your business auditing requirements.

For more information, see Managing Cosmos UI settings in case designer.

Upgrade impact

After an upgrade to Pega Platform 8.5 or later, the history and chevron designs change automatically. However, applications with custom history settings might still display the styling that you defined in the override.

What steps are required to update the application to be compatible with this change?

If your application uses custom settings and you want to use the updated history, remove the overrides from the pyWorkCommonActions rule.

Tamper-proof Pega Web Mashup loading

Valid from Pega Version 8.5

To protect your application from hackers, Pega Web Mashup is now loaded in a more secure way. The system generates a channel ID in the mashup code for validation on the server, before passing the mashup request. 

For more information, see Creating a mashup.

Upgrade impact

After an upgrade to Pega Platform 8.5, existing mashups, which do not have the channel ID parameter in their code, cannot load and users see the access control warning.

What steps are required to update the application to be compatible with this change?

If you need to maintain full availability of the mashup during the upgrade of the production environment, perform the steps in Migrating existing mashups.

WSDL generation error prevents invocation of SOAP services

Valid from Pega Version 8.4.2

Status

A Known Issue was introduced in the 8.4.2 Pega Platform patch release, which impacts both upgrades and new installations of that version.

Description

Due to changes introduced in the SOAP functionality for the case-mismatch error in SR-D98509/INC-119725, the WSDL is being generated for SOAP services with an incorrectly-capitalized element, which prevents the service from being invoked.  The element should be “name” instead of “Name”.

Workaround

Clients must perform the following workaround after they define a new SOAP connector in Pega Platform:

  1. To download the WSDL from Pega Platform:
    1. After using the SOAP Wizard (Dev Studio > Configure > Integration > Services > Service Wizard) the WSDL URL is shown at the bottom right of the Dev Studio screen.
    2. Click the URL to display the XML.
    3. Save the WSDL file to your local system.
  2. In the text editor of your choice, modify "Name" to "name" in every <element “name” = … > tag in the WDSL.
  3. Save your changes to the local file.
  4. To reload the WSDL into Pega Platform:
    1. In Dev Studio, open the Configure menu.
    2. Select Integration > Connectors > Create SOAP Integration.
    3. In the New SOAP integration wizard, select Upload WSDL from File.
    4. Complete the upload using the wizard prompts.

This is a design-time issue, not a run-time issue; therefore, clients only have to perform this workaround process once. Existing SOAP services should not be impacted; however, if clients modify an existing SOAP service definition by re-running the wizard, clients must reapply the workaround for Pega Platform to recognize the SOAP definition changes.  

Resolution

This issue will be addressed in the Pega Platform Patch Release 8.4.3.  Clients who upgrade to that version or later should not see this issue.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us